VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Protected Attributes | List of all members
CResourceInputStream Class Reference

Resource input stream. More...

`#include <cstream.h>`

Inheritance diagram for CResourceInputStream:

## Public Member Functions
| CResourceInputStream (ByteOrder byteOrder=kNativeByteOrder)
| ~CResourceInputStream () noexcept override
bool | open (const CResourceDescription &res)
bool | operator>> (std::string &string) override
uint32_t | readRaw (void *buffer, uint32_t size) override
int64_t | seek (int64_t pos, SeekMode mode) override
| returns -1 if seek fails otherwise new position More...
int64_t | tell () const override
void | rewind () override
bool | operator>> (int8_t &output)
bool | operator>> (uint8_t &output)
bool | operator>> (int16_t &output)
bool | operator>> (uint16_t &output)
bool | operator>> (int32_t &output)
bool | operator>> (uint32_t &output)
bool | operator>> (int64_t &output)
bool | operator>> (uint64_t &output)
bool | operator>> (double &output)
virtual bool | operator>> (std::string &string)=0
Public Member Functions inherited from InputStream
| InputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~InputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator>> (int8_t &output)
bool | operator>> (uint8_t &output)
bool | operator>> (int16_t &output)
bool | operator>> (uint16_t &output)
bool | operator>> (int32_t &output)
bool | operator>> (uint32_t &output)
bool | operator>> (int64_t &output)
bool | operator>> (uint64_t &output)
bool | operator>> (double &output)
virtual bool | operator>> (std::string &string)=0
virtual uint32_t | readRaw (void *buffer, uint32_t size)=0
Public Member Functions inherited from SeekableStream
virtual | ~SeekableStream () noexcept=default
virtual int64_t | seek (int64_t pos, SeekMode mode)=0
| returns -1 if seek fails otherwise new position More...
virtual int64_t | tell () const =0
virtual void | rewind ()=0

## Protected Attributes
PlatformResourceInputStreamPtr | platformStream

## Additional Inherited Members
Public Types inherited from SeekableStream
enum | SeekMode { kSeekSet , kSeekCurrent , kSeekEnd }

## Detailed Description

Resource input stream.

## Constructor & Destructor Documentation

## ◆ CResourceInputStream()

CResourceInputStream | ( | ByteOrder | byteOrder = `kNativeByteOrder` | ) |
| explicit

## ◆ ~CResourceInputStream()

~CResourceInputStream | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ open()

bool open | ( | const CResourceDescription & | res | ) |

## ◆ operator>>() [1/11]

bool operator>> | ( | double & | output | ) |

## ◆ operator>>() [2/11]

bool operator>> | ( | int16_t & | output | ) |

## ◆ operator>>() [3/11]

bool operator>> | ( | int32_t & | output | ) |

## ◆ operator>>() [4/11]

bool operator>> | ( | int64_t & | output | ) |

## ◆ operator>>() [5/11]

bool operator>> | ( | int8_t & | output | ) |

## ◆ operator>>() [6/11]

bool operator>> | ( | std::string & | string | ) |
| inline override virtual

Implements InputStream.

## ◆ operator>>() [7/11]

virtual bool operator>> | ( | std::string & | string | ) |
| virtual

Implements InputStream.

## ◆ operator>>() [8/11]

bool operator>> | ( | uint16_t & | output | ) |

## ◆ operator>>() [9/11]

bool operator>> | ( | uint32_t & | output | ) |

## ◆ operator>>() [10/11]

bool operator>> | ( | uint64_t & | output | ) |

## ◆ operator>>() [11/11]

bool operator>> | ( | uint8_t & | output | ) |

## ◆ readRaw()

uint32_t readRaw | ( | void * | buffer,
|  | uint32_t | size
| ) |  |
| override virtual

Implements InputStream.

## ◆ rewind()

void rewind | ( |  | ) |
| override virtual

Implements SeekableStream.

## ◆ seek()

int64_t seek | ( | int64_t | pos,
|  | SeekMode | mode
| ) |  |
| override virtual

returns -1 if seek fails otherwise new position

Implements SeekableStream.

## ◆ tell()

int64_t tell | ( |  | ) | const
| override virtual

Implements SeekableStream.

## Member Data Documentation

## ◆ platformStream

PlatformResourceInputStreamPtr platformStream
| protected

The documentation for this class was generated from the following files:

- cstream.h
- cstream.cpp